From 6c7d1cde889a782fe482dc417d92cbae74e665ad Mon Sep 17 00:00:00 2001
From: Matthew Harmsen <mharmsen@redhat.com>
Date: Thu, 16 Jul 2015 10:06:25 -0600
Subject: [PATCH] Remove 'setup' directory containing remaining Perl routines

- PKI TRAC Ticket #1492 - remove pki-proxy-setup
---
 base/CMakeLists.txt               |    1 -
 base/setup/CMakeLists.txt         |   27 -
 base/setup/LICENSE                |  291 ---
 base/setup/pki-setup-proxy        |  499 ------
 base/setup/pkicommon.pm           | 3565 -------------------------------------
 scripts/compose_pki_core_packages |    2 +-
 specs/pki-core.spec               |    3 -
 7 files changed, 1 insertion(+), 4387 deletions(-)
 delete mode 100644 base/setup/CMakeLists.txt
 delete mode 100644 base/setup/LICENSE
 delete mode 100755 base/setup/pki-setup-proxy
 delete mode 100755 base/setup/pkicommon.pm

diff --git a/base/CMakeLists.txt b/base/CMakeLists.txt
index a872959..b9d5c7b 100644
--- a/base/CMakeLists.txt
+++ b/base/CMakeLists.txt
@@ -16,7 +16,6 @@ if (APPLICATION_FLAVOR_PKI_CORE)
         add_subdirectory(ocsp)
         add_subdirectory(tks)
         add_subdirectory(tps)
-        add_subdirectory(setup)
         # required for native 'tpsclient' utility
         add_subdirectory(tps-client)
 
diff --git a/scripts/compose_pki_core_packages b/scripts/compose_pki_core_packages
index cf4d6b4..23a5a42 100755
--- a/scripts/compose_pki_core_packages
+++ b/scripts/compose_pki_core_packages
@@ -45,7 +45,7 @@ if [ "$WITHOUT_JAVADOC" = "" ]; then
 fi
 
 if [ "$WITHOUT_SERVER" = "" ]; then
-    PKI_COMPONENT_LIST="$PKI_COMPONENT_LIST server ca kra ocsp tks tps setup"
+    PKI_COMPONENT_LIST="$PKI_COMPONENT_LIST server ca kra ocsp tks tps"
     # required for native 'tpsclient' utility
     PKI_COMPONENT_LIST="$PKI_COMPONENT_LIST tps-client"
 fi
diff --git a/specs/pki-core.spec b/specs/pki-core.spec
index 06fd9c7..b1925a4 100644
--- a/specs/pki-core.spec
+++ b/specs/pki-core.spec
@@ -882,13 +882,11 @@ systemctl daemon-reload
 %{_sbindir}/pki-server
 %{_sbindir}/pki-server-nuxwdog
 %{_sbindir}/pki-server-upgrade
-#%{_bindir}/pki-setup-proxy
 %{python_sitelib}/pki/server/
 %dir %{_datadir}/pki/deployment
 %{_datadir}/pki/deployment/config/
 %dir %{_datadir}/pki/scripts
 %{_datadir}/pki/scripts/operations
-%{_datadir}/pki/scripts/pkicommon.pm
 %{_bindir}/pkidaemon
 %dir %{_sysconfdir}/systemd/system/pki-tomcatd.target.wants
 %{_unitdir}/pki-tomcatd@.service
@@ -901,7 +899,6 @@ systemctl daemon-reload
 %{_javadir}/pki/pki-cmscore.jar
 %{_javadir}/pki/pki-tomcat.jar
 %dir %{_sharedstatedir}/pki
-%{_bindir}/pki-setup-proxy
 %{_mandir}/man5/pki_default.cfg.5.gz
 %{_mandir}/man8/pki-server-upgrade.8.gz
 %{_mandir}/man8/pkidestroy.8.gz
-- 
1.8.3.1

